Subject: bug#11718: 24.1.50; `all-completions' returns results with wrong case

From: Stefan Monnier <[email-masked]>
Date: Sun, 24 Jun 2012 12:38:28 -0400

> I did hear you say clearly that you want to fix the problem.

Yes.

> But I also (apparently mis-) heard you saying that code should not expect the
> case of the return string to correspond to the completions provided by the
> COLLECTION arg.  It sounded like your position might be that all bets are off
> wrt the result.

The problem here is that you misunderstand what is the COLLECTION
argument in the case at hand.  It is *not* a table that completes
filenames as they exist in the file-system.  If you want that, then use
completion-file-name-table.  `read-file-name-internal' is a completion
table that does other things to handle substitute-in-file-name rewrite
(i.e. typically env-var expansion, $$-quoting, // and ~/ truncation);
part of that makes it that you should not put too much faith in the case
of the returned string.

        Stefan